%bcond_with python2
# the test suite is diabled b/c it needs docker-credential-secretservice binary
%bcond_with tests

Name:           python-docker-pycreds
Version:        0.4.0
Release:        2
Summary:        Python bindings for the docker credentials store API
License:        ASL 2.0
URL:            https://github.com/shin-/dockerpy-creds/
Source0:        https://files.pythonhosted.org/packages/source/d/docker-pycreds/docker-pycreds-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools python3-six
%if %{with tests}
BuildRequires:  python3-pytest
%endif

%description
Python bindings for the docker credentials store API

%package     -n python3-docker-pycreds
Summary:        Python bindings for the docker credentials store API

Requires:       python3-six

%{?python_provide:%python_provide python3-docker-pycreds}

%description -n python3-docker-pycreds
Python bindings for the docker credentials store API

%prep
%autosetup -n docker-pycreds-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%{__python3} -c "import dockerpycreds"
%if %{with tests}
PYTHONPATH="${PWD}" py.test-%{python3_version} -vv tests/
%endif

%files -n python3-docker-pycreds
%defattr(-,root,root)
%doc README.md
%license LICENSE
%{python3_sitelib}/dockerpycreds
%{python3_sitelib}/docker_pycreds-%{version}-py?.?.egg-info

%changelog
* Fri Oct 23 2020 tianwei <tianwei12@openeuler.org> - 0.4.0-2
- delete python2

* Wed Feb 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.4.0-1
- Package init
